summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2018-11-29 12:16:10 +0000
committer David Spencer <idlemoor@slackbuilds.org>2018-11-29 12:33:42 +0000
commitce1dc1314e25f765fa11bea6e3be2a67664234e1 (patch)
treeccfcde081ce11e6a2964189e88d484c23839ed95
parent53f47dc80bff5a4e0dd12e47440012006e943d84 (diff)
downloadslackbuilds-gdal-review.tar.gz
slackbuilds-gdal-review.tar.xz
gis/grass: Updated for version 7.4.2.gdal-review
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--gis/grass/doinst.sh6
-rw-r--r--gis/grass/grass-7.4.2_destdir.diff110
-rw-r--r--gis/grass/grass.SlackBuild61
-rw-r--r--gis/grass/grass.desktop52
-rw-r--r--gis/grass/grass.info6
5 files changed, 147 insertions, 88 deletions
diff --git a/gis/grass/doinst.sh b/gis/grass/doinst.sh
index 5fb28930db..65c7e2eeb9 100644
--- a/gis/grass/doinst.sh
+++ b/gis/grass/doinst.sh
@@ -1,3 +1,9 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/gis/grass/grass-7.4.2_destdir.diff b/gis/grass/grass-7.4.2_destdir.diff
new file mode 100644
index 0000000000..74c89018ca
--- /dev/null
+++ b/gis/grass/grass-7.4.2_destdir.diff
@@ -0,0 +1,110 @@
+--- grass-7.4.2-orig/include/Make/Install.make 2014-08-15 15:36:12.000000000 +0100
++++ grass-7.4.2/include/Make/Install.make 2018-11-29 11:42:23.909002040 +0000
+@@ -50,30 +50,30 @@
+ fi
+
+ install-check-parent:
+- @ INST_PATH=`dirname $(INST_DIR)`; \
++ @ INST_PATH=`dirname $(DESTDIR)$(INST_DIR)`; \
+ while [ ! -d "$$INST_PATH" ]; do \
+ INST_PATH=`dirname $$INST_PATH`; \
+ done; \
+- if [ ! -d "$(INST_DIR)" -a ! -w "$$INST_PATH" ] ; then \
++ if [ ! -d "$(DESTDIR)$(INST_DIR)" -a ! -w "$$INST_PATH" ] ; then \
+ echo "ERROR: Directory $$INST_PATH is a parent directory of your" >&2 ; \
+- echo " install directory $(INST_DIR) and is not writable." >&2 ; \
++ echo " install directory $(DESTDIR)$(INST_DIR) and is not writable." >&2 ; \
+ echo " Perhaps you need root access." >&2 ; \
+ echo " Installation aborted, exiting Make." >&2 ; \
+ exit 1; \
+ fi
+
+ install-check-writable:
+- @ if [ -d "$(INST_DIR)" -a ! -w "$(INST_DIR)" ] ; then \
+- echo "ERROR: Your install directory $(INST_DIR) is not writable." >&2 ; \
++ @ if [ -d "$(DESTDIR)$(INST_DIR)" -a ! -w "$(DESTDIR)$(INST_DIR)" ] ; then \
++ echo "ERROR: Your install directory $(DESTDIR)$(INST_DIR) is not writable." >&2 ; \
+ echo " Perhaps you need root access." >&2 ; \
+ echo " Installation aborted, exiting Make." >&2 ; \
+ exit 1; \
+ fi
+
+ install-check-prefix:
+- @ result=`echo "$(INST_DIR)" | awk '{ if ($$1 ~ /grass/) print $$1 }'`; \
++ @ result=`echo "$(DESTDIR)$(INST_DIR)" | awk '{ if ($$1 ~ /grass/) print $$1 }'`; \
+ if [ "$$result" = "" ] ; then \
+- echo "WARNING: Your install directory $(INST_DIR)" >&2 ; \
++ echo "WARNING: Your install directory $(DESTDIR)$(INST_DIR)" >&2 ; \
+ echo " does not contain the word 'grass'." >&2 ; \
+ echo " It is highly recommended that the word 'grass' be part" >&2 ; \
+ echo " of your install directory to avoid conflicts." >&2 ; \
+@@ -96,25 +96,25 @@
+ PLATMAKE = include/Make/Platform.make
+ GRASSMAKE = include/Make/Grass.make
+
+-real-install: | $(INST_DIR) $(UNIX_BIN)
+- -tar cBCf $(GISBASE) - . | tar xBCf $(INST_DIR) - 2>/dev/null
+- -rm $(INST_DIR)/$(GRASS_NAME).tmp
++real-install: | $(DESTDIR) $(INST_DIR) $(UNIX_BIN)
++ -tar cBCf $(GISBASE) - . | tar xBCf $(DESTDIR)$(INST_DIR) - 2>/dev/null
++ -rm $(DESTDIR)$(INST_DIR)/$(GRASS_NAME).tmp
+ $(MAKE) $(STARTUP)
+
+- -rm $(INST_DIR)/$(FONTCAP)
++ -rm $(DESTDIR)$(INST_DIR)/$(FONTCAP)
+ $(MAKE) $(INST_DIR)/$(FONTCAP)
+
+- -rm $(INST_DIR)/$(TMPGISRC)
++ -rm $(DESTDIR)$(INST_DIR)/$(TMPGISRC)
+ $(MAKE) $(INST_DIR)/$(TMPGISRC)
+
+- -rm $(INST_DIR)/$(PLATMAKE)
++ -rm $(DESTDIR)$(INST_DIR)/$(PLATMAKE)
+ $(MAKE) $(INST_DIR)/$(PLATMAKE)
+
+- -rm $(INST_DIR)/$(GRASSMAKE)
++ -rm $(DESTDIR)$(INST_DIR)/$(GRASSMAKE)
+ $(MAKE) $(INST_DIR)/$(GRASSMAKE)
+
+- -$(INSTALL) config.status $(INST_DIR)/config.status
+- -$(CHMOD) -R a+rX $(INST_DIR) 2>/dev/null
++ -$(INSTALL) config.status $(DESTDIR)$(INST_DIR)/config.status
++ -$(CHMOD) -R a+rX $(DESTDIR)$(INST_DIR) 2>/dev/null
+
+ ifneq ($(findstring darwin,$(ARCH)),)
+ @# enable OSX Help Viewer
+@@ -122,27 +122,28 @@
+ endif
+
+ $(INST_DIR) $(UNIX_BIN):
+- $(MAKE_DIR_CMD) $@
++ $(MAKE_DIR_CMD) $(DESTDIR)$@
+
+ $(STARTUP): $(ARCH_DISTDIR)/$(GRASS_NAME).tmp
++ $(MAKE_DIR_CMD) $(DESTDIR)/$(UNIX_BIN); \
+ sed -e 's#'@GISBASE@'#'$(INST_DIR)'#g' \
+ -e 's#'@LD_LIBRARY_PATH_VAR@'#'$(LD_LIBRARY_PATH_VAR)'#g' \
+ -e 's#'@CONFIG_PROJSHARE@'#'$(PROJSHARE)'#g' \
+- $< > $@
+- -$(CHMOD) a+x $@
++ $< > $(DESTDIR)$@
++ -$(CHMOD) a+x $(DESTDIR)$@
+
+ define fix_gisbase
+-sed -e 's#$(GISBASE)#$(INST_DIR)#g' $< > $@
++sed -e 's#$(GISBASE)#$(INST_DIR)#g' $< > $(DESTDIR)$@
+ endef
+
+ define fix_grass_home
+ sed -e 's#^\(GRASS_HOME.[^=]*\).*#\1= $(INST_DIR)#g' \
+- -e 's#$(GISBASE)#$(INST_DIR)#g' $< > $@
++ -e 's#$(GISBASE)#$(INST_DIR)#g' $< > $(DESTDIR)$@
+ endef
+
+ define fix_grass_arch
+ sed -e 's#^\(ARCH_DISTDIR.[^=]*\).*#\1= $(INST_DIR)#g' \
+- -e 's#^\(ARCH_BINDIR.[^=]*\).*#\1= $(UNIX_BIN)#g' $< > $@
++ -e 's#^\(ARCH_BINDIR.[^=]*\).*#\1= $(UNIX_BIN)#g' $< > $(DESTDIR)$@
+ endef
+
+ $(INST_DIR)/$(FONTCAP): $(GISBASE)/$(FONTCAP)
diff --git a/gis/grass/grass.SlackBuild b/gis/grass/grass.SlackBuild
index 8f1b6cc3ef..bdf926e81f 100644
--- a/gis/grass/grass.SlackBuild
+++ b/gis/grass/grass.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=grass
-VERSION=${VERSION:-7.2.2}
+VERSION=${VERSION:-7.4.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -119,12 +119,15 @@ done
# geos now always enabled: it's an indirect hard dep (via gdal), and makes grass nicer :-)
+# DESTDIR patch (fixed-up from macports)
+patch -p1 < $CWD/grass-7.4.2_destdir.diff
+
CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS -fpermissive" \
-LDFLAGS="-ldl -lncurses" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-lncurses" \
./configure \
--prefix=/opt \
- --exec-prefix=/wibble/usr \
+ --bindir=/usr/bin \
--enable-largefile \
--with-cairo \
--with-cxx \
@@ -133,7 +136,6 @@ LDFLAGS="-ldl -lncurses" \
--with-freetype-includes=/usr/include/freetype2 \
--with-geos \
--with-nls \
- --with-openmp \
--with-python \
--with-pthread \
--with-proj-share=/usr/share/proj \
@@ -144,33 +146,34 @@ LDFLAGS="-ldl -lncurses" \
--host=$ARCH-slackware-linux
make
-make prefix=$PKG/opt exec_prefix=$PKG/usr install
+make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Install the pkgconfig file:
-install -D -m0644 grass.pc $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/grass.pc
-
-# Create unversioned symlinks:
-( cd $PKG/opt ; ln -s $PRGNAM-$VERSION $PRGNAM )
-( cd $PKG/usr/bin ; ln -s grass72 $PRGNAM )
+install -D -m0644 $PRGNAM.pc $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/$PRGNAM.pc
# Remove hardcoded version strings:
+SHORTVER=$(echo $VERSION | sed -e 's/\.[0-9]*$//' -e 's/\.//g')
sed -i -e "s/-${VERSION}//g" \
- $PKG/usr/bin/grass72 \
- $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/grass.pc
+ $PKG/usr/bin/$PRGNAM$SHORTVER \
+ $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/$PRGNAM.pc
+
+# Create unversioned symlinks:
+ln -s $PRGNAM-$VERSION $PKG/opt/$PRGNAM
+ln -s $PRGNAM$SHORTVER $PKG/usr/bin/$PRGNAM
# Remove packaging directory pollution:
sed -i -e "s;$PKG;;" \
- $PKG/usr/bin/grass72 \
- $PKG/opt/$PRGNAM-$VERSION/demolocation/.grassrc72 \
- $PKG/opt/$PRGNAM-$VERSION/etc/fontcap \
- $PKG/opt/$PRGNAM-$VERSION/include/Make/Grass.make \
- $PKG/opt/$PRGNAM-$VERSION/include/Make/Platform.make
+ $PKG/usr/bin/$PRGNAM$SHORTVER \
+ $PKG/opt/$PRGNAM/demolocation/.grassrc$SHORTVER \
+ $PKG/opt/$PRGNAM/etc/fontcap \
+ $PKG/opt/$PRGNAM/include/Make/Grass.make \
+ $PKG/opt/$PRGNAM/include/Make/Platform.make
# Documentation:
-PKGOPTMAN=$PKG/opt/$PRGNAM-$VERSION/docs/man
+PKGOPTMAN=$PKG/opt/$PRGNAM/docs/man
find $PKGOPTMAN -type f -exec gzip -9 {} \;
for i in $( find $PKGOPTMAN -type l ) ; do \
ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
@@ -181,8 +184,8 @@ cp -a \
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv \
- $PKG/opt/$PRGNAM-$VERSION/{AUTHORS,CHANGES,COPYING,GPL.TXT,REQUIREMENTS.html} \
- $PKG/opt/$PRGNAM-$VERSION/*.csv \
+ $PKG/opt/$PRGNAM/{AUTHORS,CHANGES,CITING,COPYING,GPL.TXT,REQUIREMENTS.html} \
+ $PKG/opt/$PRGNAM/*.csv \
$PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
ChangeLog* INSTALL README SUBMITTING* TODO \
@@ -190,19 +193,11 @@ cp -a \
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Desktop:
-mkdir -p $PKG/usr/share/applications
-cp -a \
- $CWD/$PRGNAM.desktop \
- $PKG/usr/share/applications/$PRGNAM.desktop
-mkdir -p $PKG/usr/share/pixmaps
-cp -a \
- gui/icons/$PRGNAM-64x64.png \
- $PKG/usr/share/pixmaps/${PRGNAM}.png
+mv $PKG/opt/$PRGNAM/share $PKG/usr
# Cleanup:
-rm -rf $PKG/opt/$PRGNAM-$VERSION/demolocation/PERMANENT/.tmp
-rm $PKG/opt/$PRGNAM-$VERSION/config.status
-rm -rf $PKG/opt/$PRGNAM-$VERSION/share/
+rm -rf $PKG/opt/$PRGNAM/demolocation/PERMANENT/.tmp
+rm $PKG/opt/$PRGNAM/config.status
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/gis/grass/grass.desktop b/gis/grass/grass.desktop
deleted file mode 100644
index 9aac16df85..0000000000
--- a/gis/grass/grass.desktop
+++ /dev/null
@@ -1,52 +0,0 @@
-[Desktop Entry]
-Type=Application
-Name=GRASS GIS
-Comment=Geographic Information System
-Comment[cs]=Geografický Informační Systém
-Comment[de]=Geoinformationssystem
-Comment[es]=Sistema de Información Geográfica
-Comment[fi]=Maantieteellinen Tietojärjestelmä
-Comment[fr]=Système d'Information Géographique
-Comment[it]=Sistema Informativo Geografico
-Comment[pl]=System Informacji Geograficznej
-Comment[pt]=Sistema de Informação Geoáfic
-Comment[sv]=Geografiskt Informationssystem
-Comment[ar]=نظام المعلومات الجغرافي
-Comment[az]=Coğrafi informasiya sistemi
-Comment[bg]=Географска информационна система
-Comment[bs]=Geografski informacioni sistem
-Comment[ca]=Sistema d'informació geogràfica
-Comment[el]=Σύστημα Γεωγραφικών Πληροφοριών
-Comment[et]=Geoinfosüsteem
-Comment[eu]=Geografia-informazioko sistemen
-Comment[fa]=سامانه اطلاعات مکانی
-Comment[gl]=Sistema de información xeográfica
-Comment[he]=מערכת מידע גאוגרפית
-Comment[hi]=भूगोलीय_सूचना_प्रणाली
-Comment[hr]=Geografski informacijski sustav
-Comment[hu]=Földrajzi információs rendszer
-Comment[hy]=Աշխարհագրական տեղեկատվական համակարգ
-Comment[id]=Sistem informasi geografis
-Comment[is]=Landfræðilegt upplýsingakerfi
-Comment[ka]=გეოინფორმაციული სისტემა
-Comment[lt]=Geografinė informacinė sistema
-Comment[lv]=Ģeogrāfiskā informācijas sistēma
-Comment[mk]=Географски информационен систем
-Comment[ml]=ജി.ഐ.എസ്.
-Comment[nl]=Geografisch informatiesysteem
-Comment[nn]=Geografiske informasjonssystem
-Comment[no]=Geografiske informasjonssystemer
-Comment[ro]=Sistem Informatic Geografic
-Comment[ru]=Геоинформационная система
-Comment[sh]=Geografski informacijski sistem
-Comment[sk]=Geografický informačný systém
-Comment[sl]=Geografski informacijski sistem
-Comment[sr]=Географски информациони систем
-Comment[th]=ระบบสารสนเทศภูมิศาสตร์
-Comment[tr]=Coğrafi bilgi sistemi
-Comment[uk]=Геоінформаційна система
-Comment[uz]=Geografik axborot tizimi
-Categories=Education;Science;Geoscience;Geography;
-Exec=grass
-Icon=grass
-Terminal=true
diff --git a/gis/grass/grass.info b/gis/grass/grass.info
index f136144201..d1bdd442a4 100644
--- a/gis/grass/grass.info
+++ b/gis/grass/grass.info
@@ -1,8 +1,8 @@
PRGNAM="grass"
-VERSION="7.2.2"
+VERSION="7.4.2"
HOMEPAGE="https://grass.osgeo.org/"
-DOWNLOAD="https://grass.osgeo.org/grass72/source/grass-7.2.2.tar.gz"
-MD5SUM="4a908a63bb9b7af34fee9569316c0fb6"
+DOWNLOAD="https://grass.osgeo.org/grass74/source/grass-7.4.2.tar.gz"
+MD5SUM="bb3fc005e707f762c8fee36095e1df7f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="gdal numpy wxPython"